Dmitry
Topic Author
Posts: 1
Joined: 27 Jan 2018, 16:15

Outdated Cocos2d integration

28 Jan 2018, 18:37

Trying to integrate Noesis GUI (2.0.2f2 / 2.1.0rc2) to my Cocos2d project (v. 3.16, windows x64). It's looks like cocos2d bindings are heavily outdated. Got undefined "Noesis::RenderCommands". Found just 1 reference at Gui.Core.SDKGuide.html, but binaries and headers doesn't mention it. Got undefined "NsSize" and much more. "Glew.h" doesn't define "GL_VERTEX_ARRAY_BINDING_OES". Which version on Noesis GUI should I use and there to get it?
 
User avatar
jsantos
Site Admin
Posts: 2905
Joined: 20 Jan 2012, 17:18
Contact:

Re: Outdated Cocos2d integration

30 Jan 2018, 05:05

Cocos2d bindings need to be updated. It should be straightforward if you download the C++ SDK and have a look at the Integration and IntegrationGLUT. Right now we don't have time for that but I'll be glad to help you here to do that and accept your pull request. Thanks!

Who is online

Users browsing this forum: No registered users and 1 guest